Name:		mb2md
Version:	3.20
Release:	14%{?dist}
Summary:	Mailbox to maildir converter
Group:		Applications/Internet
License:	Public Domain
URL:		http://batleth.sapienti-sat.org/projects/mb2md
Source0:	http://batleth.sapienti-sat.org/projects/mb2md/mb2md-%{version}.pl.gz
Source1:	http://batleth.sapienti-sat.org/projects/mb2md/changelog.txt
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

%description
Convert your emails folders in mailbox format to maildirs.
Some of the current features of mb2md.pl are:
* converting the user's main mailbox that is referenced by the $MAIL variable
* converting a single mailbox into corresponding maildir
* converting multiple mailboxes in a directory into corresponding maildirs
* recursive operation on a given directory to convert the complete mail
  storage of one user
* replaces all occurrences of dots ('.') in a mailbox name by underscores ('_')
* is able to handle spaces in mailbox names
* converts mbox files in DOS format (CRLF) to Unix file format
* can strip an extension (e.g. ".mbx") from a mailbox name prior to converting
* removal of dummy message that a couple of IMAP servers (e.g. UW-IMAPD) put at
  the beginning of a mailbox
* setting the file date of a converted message according to the date found in
  the "From " line of the original mail
* setting the flags F,R,S,T (flagged, replied, seen, deleted) on the filename
  of the converted message according to the flags found in 
  "Status:"/"X-Status:"/"X-Mozilla-Status:"/"X-Evolution:" headers of the
  original mail


%prep
%setup -q -Tc -n %{name}-%{version}
# Setup executable
gunzip -c %{SOURCE0} > mb2md.pl
touch -r %{SOURCE0} mb2md.pl

# Copy changelog
cp -a %{SOURCE1} .

### Generate documentation
# #--- denotes the end of the documentation section; get everything before
# that, remove the shebang and the hash commentation
grep -B `wc -l mb2md.pl|awk '{print $1}'` "#---------" mb2md.pl | grep -v "#-----" | grep -v "#!/" | \
cut -c3- > readme.txt
touch -r %{SOURCE0} readme.txt


%build

%install
rm -rf %{buildroot}
install -D -p -m 755 mb2md.pl %{buildroot}%{_bindir}/mb2md

%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root,-)
%doc changelog.txt readme.txt
%{_bindir}/mb2md


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.20-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 3.20-10
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.20-4
- Bump revision to retry CVS import.

* Tue May 05 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.20-3
- Changed name of installed script from mb2md.pl to mb2md.
- Added generated readme file to %%doc.

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.20-2
- Fixed awk argument, trimmed description.

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.20-1
- First release.
